<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="core-service.management.ldap-connection">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="always-send-client-cert,handles-referrals-for,initial-context-factory,referrals,search-credential,search-credential-reference,search-dn,security-realm,url"/>
        <elem name="addr-params" value="host,core-service,ldap-connection"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <refs>
        <ref feature="core-service.management"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="search-credential-reference" nillable="true"/>
        <param name="initial-context-factory" nillable="true"/>
        <param name="search-dn" nillable="true"/>
        <param name="handles-referrals-for" nillable="true" type="List&lt;String&gt;"/>
        <param name="always-send-client-cert" nillable="true"/>
        <param name="referrals" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="security-realm" nillable="true"/>
        <param name="search-credential" nillable="true"/>
        <param name="ldap-connection" feature-id="true"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="url"/>
    </params>
</feature-spec>